package utils

import "github.com/gogf/gf/frame/g"

// 关于7个账号平台下面的数据查询，需要对应不同的表的工具方法

func RelyNumber(account int) ([]string, error) {
	res, err := g.DB().Model("r_talent_platform_table").Where("p_id", account).Where("examine_state=2").
		Fields("tid").Array()
	if err != nil {
		return nil, err
	}
	var result []string
	for _, v := range res {
		result = append(result, v.String())
	}
	return result, nil
}
